{% sw_extends '@Storefront/storefront/page/product-detail/configurator.html.twig' %}

{% block page_product_detail_configurator_group_title %}

{% endblock %}


{% block page_product_detail_configurator_options %}
    <div class="product-detail-configurator-options">
    	<select class="custom-select custom-select-lg mb-3">
    		<option selected>{{ group.translated.name }}</option>
			{% for option in group.options %}
			
			    {% set optionIdentifier = [group.id, option.id]|join('-') %}
			    {% set isActive = false %}
			    {% set isCombinableCls = 'is-combinable' %}
			
			    {% if option.id in page.product.optionIds %}
			        {% set isActive = true %}
			    {% endif %}
			
			    {% if not option.combinable %}
			        {% set isCombinableCls = false %}
			    {% endif %}
			
			    {% if option.configuratorSetting.media %}
			        {% set displayType = 'media' %}
			        {% set media = option.configuratorSetting.media %}
			    {% else %}
			        {% set displayType = group.displayType %}
			        {% if option.media %}
			            {% set media = option.media %}
			        {% else %}
			            {% set media = false %}
			        {% endif %}
			    {% endif %}
			
			    {% block page_product_detail_configurator_option %}
			    	{% block page_product_detail_configurator_option_radio %}
			    		<option value="{{ option.id }}" name="{{ group.id }}" id="{{ optionIdentifier }}" title="{{ optionIdentifier }}">
							{% block page_product_detail_configurator_option_radio_label %}
							    {{ option.translated.name }}
							{% endblock %}
			    	    </option>
			    	{% endblock %}
			    {% endblock %}
			{% endfor %}
        </select>
    </div>
{% endblock %}